# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from dlcmapi_client.configuration import Configuration


class AipChecksumCheck(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'check_date': 'str',
        'checking_succeed': 'bool'
    }

    attribute_map = {
        'check_date': 'checkDate',
        'checking_succeed': 'checkingSucceed'
    }

    def __init__(self, check_date=None, checking_succeed=None, local_vars_configuration=None):  # noqa: E501
        """AipChecksumCheck - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._check_date = None
        self._checking_succeed = None
        self.discriminator = None

        if check_date is not None:
            self.check_date = check_date
        if checking_succeed is not None:
            self.checking_succeed = checking_succeed

    @property
    def check_date(self):
        """Gets the check_date of this AipChecksumCheck.  # noqa: E501

        Date of last checksum check execution  # noqa: E501

        :return: The check_date of this AipChecksumCheck.  # noqa: E501
        :rtype: str
        """
        return self._check_date

    @check_date.setter
    def check_date(self, check_date):
        """Sets the check_date of this AipChecksumCheck.

        Date of last checksum check execution  # noqa: E501

        :param check_date: The check_date of this AipChecksumCheck.  # noqa: E501
        :type: str
        """

        self._check_date = check_date

    @property
    def checking_succeed(self):
        """Gets the checking_succeed of this AipChecksumCheck.  # noqa: E501

        Result of last checksum check execution  # noqa: E501

        :return: The checking_succeed of this AipChecksumCheck.  # noqa: E501
        :rtype: bool
        """
        return self._checking_succeed

    @checking_succeed.setter
    def checking_succeed(self, checking_succeed):
        """Sets the checking_succeed of this AipChecksumCheck.

        Result of last checksum check execution  # noqa: E501

        :param checking_succeed: The checking_succeed of this AipChecksumCheck.  # noqa: E501
        :type: bool
        """

        self._checking_succeed = checking_succeed

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AipChecksumCheck):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, AipChecksumCheck):
            return True

        return self.to_dict() != other.to_dict()
